# Run config for Sarkanych2023 (Physical Biology), Figure 6a and 6b
---
perform_sweep: true
perform_validation: false

paths:
  model_note: physbio_fig6cd

parameter_space:
  num_steps: 1000
  write_every: 5

  seed: !sweep
    default: 42
    range: [200]
    order: -1000

  SocialSpinModel:
    graph:
      num_vertices: 1000  # sic

      model: ErdosRenyi_GNP
      ErdosRenyi_GNP:
        p: !sweep
          name: p_link
          default: 1.e-1
          values:
            # - 1.e-4
            # - 1.e-3
            # - 1.e-2
            - 1.e-1
            - 1.0

    init:
      frac_unbiased: 0.7
      frac_biased_up: 0.6
      omega_up: 1.5
      omega_down: 0.5
      # … which are also the defaults (but made explicit here)

      # change for this figure:
      frac_up: 1

    p_flip_random: !sweep
      name: noise_level
      default: 0
      logspace: [-2.5, -0.5, 15]

    # Don't need that much output
    write_degree_distribution: false
    write_topology: false
    write_agent_data: false
